package com.youpe.test;

import com.youpe.test.event.KeyInputHandler;

import com.youpe.test.event.TestHudRender;
import net.fabricmc.api.ClientModInitializer;
import net.fabricmc.fabric.api.client.networking.v1.ClientPlayNetworking;
import net.minecraft.text.Text;

public class TestingClient implements ClientModInitializer{

    @Override
    public void onInitializeClient() {
        KeyInputHandler.register();
        KeyInputHandler.registerKeyInputs();

        ClientPlayNetworking.registerGlobalReceiver(Testing.DIRT_BROKEN, (client, handler, buf, responseSender) -> {
            int totalDirtBlocksBroken = buf.readInt();
            int playerSpecificDirtBlocksBroken = buf.readInt();
 
            client.execute(() -> {
                client.player.sendMessage(Text.literal("Total dirt blocks broken: " + totalDirtBlocksBroken));
                client.player.sendMessage(Text.literal("Player specific dirt blocks broken: " + playerSpecificDirtBlocksBroken));
            });
        });
        TestHudRender.registerModRenders();
    }
    
}
